<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.resource.model.RsResourceDataset" table="rs_resource_dataset" >
        <id name="id" type="java.lang.String">
            <column name="id" length="64"/>
        </id>
        <property name="code" type="java.lang.String">
            <column name="code" length="32" not-null="true" />
        </property>
        <property name="name" type="java.lang.String">
            <column name="name" length="128" not-null="true">
                <comment>数据集名称.</comment>
            </column>
        </property>
        <property name="language" type="java.lang.String">
            <column name="language" length="16" />
        </property>
        <property name="catalog" type="java.lang.Integer">
            <column name="catalog">
                <comment>类别/业务领域</comment>
            </column>
        </property>
        <property name="summary" type="java.lang.String">
            <column name="summary">
                <comment>摘要.</comment>
            </column>
        </property>
        <property name="classModel" type="java.lang.String">
            <column name="class_model" length="32">
                <comment>分类模式</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
